%(license)s
"""Initialize the %(id)s product"""

from Globals import ImageFile, package_home
import os.path

misc_ = {}
path = os.path.join(package_home(globals()), 'www/')

for file in os.listdir(path):
    if file[-3:] == 'gif':
        misc_[file] = ImageFile('www/' + file, globals())

import %(module)s

def initialize(context):
    """Initialize the product"""
    try:
        context.registerClass(
            %(klass)s.%(klass)s,
            constructors = (%(klass)s.manage_add_%(klass)s,))

        context.registerHelp()
        context.registerHelpTitle('%(id)s help')
    except:
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb
